package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;
import cn.net.cpzslibs.prot.handset.bean.res.Prot20019ResBean;

/** 
 * @author  作者 李扬: 
 * @date 创建时间：2017-5-3 下午2:04:42 
 * @version 1.0 
 * @parameter 
 * @since  
 * @return  
 */
public interface QueryConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void setScanData(Prot20019ResBean resBean);
		void readQRCode();
		void finishPage();
		void vibrate(int duration);
	}
	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void btnScannerClick();
		
	}
}
